Bug 727955 - RFE: No option to update content_type with repo update
Summary: RFE: No option to update content_type with repo update
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 19:04 UTC by Preethi Thomas
Modified: 2013-09-09 16:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 20:31:29 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-03 19:04:57 UTC
Description of problem:
There is no option to update content_type


[root@preethi ~]# pulp-admin repo update --help
Usage: pulp-admin <options> repo update <options>

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  --name=NAME           common repository name
  --arch=ARCH           package arch the repository should support
  --feed=FEED           url feed to populate the repository (repository must
                        be empty to change path component of the url)
  --feed_ca=FEED_CA     path location to the feed's ca certificate
  --feed_cert=FEED_CERT
                        path location to the feed's entitlement certificate
  --feed_key=FEED_KEY   path location to the feed's entitlement certificate
                        key
  --remove_feed_cert    if specified, the feed certificate information will be
                        removed from this repo
  --consumer_ca=CONSUMER_CA
                        path location to the ca certificate used to verify
                        consumer requests
  --consumer_cert=CONSUMER_CERT
                        path location to the entitlement certificate consumers
                        will be provided at bind to grant access to this repo
  --consumer_key=CONSUMER_KEY
                        path location to the consumer entitlement certificate
                        key
  --remove_consumer_cert
                        if specified, the consumer certificate information
                        will be removed from this repo
  --addgroup=ADDGROUP   group id to be added to the repository
  --rmgroup=RMGROUP     group id to be removed from the repository
  --addkeys=ADDKEYS     a ',' separated list of directories and/or files
                        containing GPG keys
  --rmkeys=RMKEYS       a ',' separated list of GPG key names

  Repo Sync Schedule:
    --interval=SCHEDULE_INTERVAL
                        length of time between each run in iso8601 duration
                        format
    --start=SCHEDULE_START
                        date and time of the first run in iso8601 combined
                        date and time format, ommitting implies starting
                        immediately
    --runs=SCHEDULE_RUNS
                        number of times to run the scheduled sync, ommitting
                        implies running indefinitely
    --delete-schedule   delete existing schedule

Version-Release number of selected component (if applicable):
[root@preethi ~]# rpm -q pulp
pulp-0.0.218-1.fc14.noarch





Additional info:

Comment 1 Jay Dobies 2012-07-11 20:31:29 UTC
Irrelevant in v2.


Note You need to log in before you can comment on or make changes to this bug.